Bug 852205 - unable to delete provider with stopped instances
unable to delete provider with stopped instances
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tzu-Mainn Chen
Dave Johnson
Depends On:
  Show dependency treegraph
Reported: 2012-08-27 17:05 EDT by Dave Johnson
Modified: 2012-12-04 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Attempts to delete providers with stopped instances resulted in the following error message: "Can not destroy following instances: xxx". This fix changes the error message to "The following Applications have not been stopped: xxx". Users are now required to delete any existing application in a provider before deleting the provider.
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 10:17:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2012-08-27 17:05:54 EDT
Description of problem:
Summary says it all, previously a provider could not be deleted if there were new/pending/running instances but now you can;t delete if there is any instances associated with it.  No controls in the UI to delete instances.  So how do you delete a provider?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  deploy instance
2.  stop instance
3.  delete provider with stopped instance
Actual results:
delete fails

Expected results:
delete succeeds

Additional info:
the delete did work when I first deleted the account and then the provider... maybe this is a new workflow... previously the delete provider would delete the instances and the account (assuming there were not associated non-stopped instances)
Comment 1 Angus Thomas 2012-08-31 12:38:49 EDT
The string which notifies the user that there are instances associated with the account, and that the account cannot therefore be deleted, should be altered to say that there are Applications associated with the account, since applications are the entities that the user can actually delete from the system.
Comment 3 Tzu-Mainn Chen 2012-09-07 11:28:57 EDT
Patch pushed:

commit 4635b40d9fff21c4bbbff05734fbb97ddeb3b71c
BZ 852205 - clarify error message when user tries to delete a provider account with deployments with running inst
Comment 4 Steve Linabery 2012-09-07 18:00:31 EDT
in build aeolus-conductor-0.13.3-1.el6cf
Comment 6 Dave Johnson 2012-09-17 15:15:24 EDT
good 2 go in CFCE v1.1 puddle 2012-09-14.5
Comment 8 errata-xmlrpc 2012-12-04 10:17:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.